Subject: bug#19946: 24.4; js-mode, indentation

From: John Wiegley <[email-masked]>
Date: Sun, 03 Apr 2016 11:05:44 -0700

>>>>> Jostein Kjønigsen <[email-masked]> writes:

> If we should at least attempt to adhere to the principle of least
> astonishment, we need to either accept \r\n patches everywhere or change the
> semantics of $ to also include \r, line-break format be damned.

What if there were another buffer coding system called "broken-msdos" or
something, that accepted mixed \n and \r\n, but wrote out all \r\n?  I run
into such files often enough.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2